> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/whatsapp-business-api/number-query.md).

# Number query

**Request API endpoint**

```
POST    https://api.innopaas.com/api/whatsapp/v3/account/phoneInfo
```

**Request parameters**

<table data-header-hidden><thead><tr><th width="124.515625"></th><th width="86.74609375"></th><th width="99.54296875"></th><th></th></tr></thead><tbody><tr><td>Field</td><td>Data type</td><td>Required</td><td>Description</td></tr><tr><td><code>wabaId</code></td><td>String</td><td>Yes</td><td>Unique identifier of the WhatsApp Business account</td></tr></tbody></table>

**Response parameters**

| Field              | Data type | Required | Description                                        |
| ------------------ | --------- | -------- | -------------------------------------------------- |
| id                 | String    | Yes      | Unique identifier of the WhatsApp Business account |
| displayPhoneNumber | String    | Yes      | Display phone number                               |
| verifiedName       | String    | Yes      | Name                                               |
| status             | String    | Yes      | Number status                                      |
| qualityRating      | String    | Yes      | Number quality                                     |
| messageLimit       | String    | Yes      | Message limit                                      |

**Request example**

```actionscript-3

{
  "wabaId": "26849*****5345"
}
```

**Response example**

```json
{
    "code": "0",
    "success": true,
    "message": "Success",
    "data": [
        {
            "id": "70762****2435850",
            "displayPhoneNumber": "+86 134 **** 3464",
            "verifiedName": "Transland",
            "status": "CONNECTED",
            "qualityRating": "GREEN",
            "messageLimit": "TIER_250"
        }
    ]
}

```
